//    Win32IRQ.h   :   Header file for Win32IRQ.dll
//

enum {
    InterfaceTypeUndefined = -1,
    Internal,
    Isa,
    Eisa,
    MicroChannel,
    TurboChannel,
    PCIBus,
    VMEBus,
    NuBus,
    PCMCIABus,
    CBus,
    MPIBus,
    MPSABus,
    ProcessorInternal,
    InternalPowerBus,
    PNPISABus,
    MaximumInterfaceType
};

#define WRITE_TO_CLEAR		0
#define READ_TO_CLEAR		1

extern "C" __declspec(dllimport) unsigned char InitGenDriver(unsigned long BaseAddress, unsigned char IRQ, short BusType, unsigned char BusNumber, unsigned short ClearOffset, unsigned char Operation);
extern "C" __declspec(dllimport) unsigned char DetectIRQ(void);
extern "C" __declspec(dllimport) unsigned char SendEOI(void);
extern "C" __declspec(dllimport) unsigned char AbortRequest(void);
