unit W32IRQM;

interface

uses Windows;

const
    InterfaceTypeUndefined = -1;
    Internal = 0;
    Isa = 1;
    Eisa = 2;
    MicroChannel = 3;
    TurboChannel = 4;
    PCIBus = 5;
    VMEBus = 6;
    NuBus = 7;
    PCMCIABus = 8;
    CBus = 9;
    MPIBus = 10;
    MPSABus = 11;
    ProcessorInternal = 12;
    InternalPowerBus = 13;
    PNPISABus = 14;
    MaximumInterfaceType = 15;

    WRITE_TO_CLEAR = 0;
    READ_TO_CLEAR = 1;

function InitGenDriver(BaseAddress: DWORD; IRQ: Byte; BusType: SmallInt; BusNumber: BYTE; ClearOffset: WORD; Operation: BYTE): ByteBool; cdecl; external 'W32IRQM.dll';
function DetectIRQ(IRQ: Byte): ByteBool; cdecl; external 'W32IRQM.dll';
function SendEOI(IRQ: Byte): ByteBool; cdecl; external 'W32IRQM.dll';
function DisconnectIRQ(IRQ: Byte): ByteBool; cdecl; external 'W32IRQM.dll';
function AbortRequest(IRQ: Byte): ByteBool; cdecl; external 'W32IRQM.dll';

implementation

end.
