#if !defined(AFX_IRQTHRD_H__45AA7B0F_3B62_11D2_B75F_0000C000224F__INCLUDED_)
#define AFX_IRQTHRD_H__45AA7B0F_3B62_11D2_B75F_0000C000224F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// IRQThrd.h : header file
//



/////////////////////////////////////////////////////////////////////////////
// CIRQMThrd thread

class CIRQMThrd : public CWinThread
{
	DECLARE_DYNCREATE(CIRQMThrd)
protected:
	CIRQMThrd();           // protected constructor used by dynamic creation

// Attributes
public:
	void InitWnd(HWND hWnd, UCHAR TheIRQ);
	void Terminate(void);

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIRQMThrd)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	virtual int Run();
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CIRQMThrd();

	// Generated message map functions
	//{{AFX_MSG(CIRQMThrd)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

private:
	CWnd *MainWnd;
	UCHAR IRQ;
	unsigned long IRQCount;
	bool Terminated;

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IRQTHRD_H__45AA7B0F_3B62_11D2_B75F_0000C000224F__INCLUDED_)
