//---------------------------------------------------------------------------
#ifndef DIOuH
#define DIOuH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Registry.hpp>
//---------------------------------------------------------------------------
class TSampleForm : public TForm
{
__published:	// IDE-managed Components
   TLabel *TitleLabel;
    TLabel *CardName;
   TLabel *PortLabel;
   TLabel *PortAOutLabel;
   TLabel *PortAInLabel;
   TLabel *PortBInLabel;
   TGroupBox *StatusGroupBox;
   TMemo *StatusMemo;
    TBitBtn *ExitButton;
    TComboBox *AddressList;
    TButton *BeginSample;
    TPanel *PortAOut;
    TPanel *PortAIn;
    TPanel *PortBIn;
    TTimer *RunTimer;
    TLabel *IsaLabel;
    TEdit *IsaEdit;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall ExitButtonClick(TObject *Sender);
    void __fastcall AddressListChange(TObject *Sender);
    void __fastcall BeginSampleClick(TObject *Sender);
    void __fastcall RunTimerTimer(TObject *Sender);
    void __fastcall FormActivate(TObject *Sender);
private:	// User declarations
    TRegistry *DriverRegistry;
    unsigned short Address;
    bool RunFlag;
public:		// User declarations
    __fastcall TSampleForm(TComponent* Owner);
    void __fastcall UpdateDriverRegistry(void);
};
//---------------------------------------------------------------------------
extern PACKAGE TSampleForm *SampleForm;
//---------------------------------------------------------------------------
/*
struct TPCI_COMMON_CONFIG {
	 unsigned short VendorID;
	 unsigned short DeviceID;
	 unsigned short Command;
	 unsigned short Status;
	 unsigned char RevisionID;
	 unsigned char ProgIf;
	 unsigned char SubClass;
	 unsigned char BaseClass;
	 unsigned char CacheLineSize;
	 unsigned char LatencyTimer;
	 unsigned char HeaderType;
	 unsigned char BIST;
	 unsigned long BaseAddresses[6];
	 unsigned long Reserved1[2];
	 unsigned long RomBaseAddress;
	 unsigned long Reserved2[2];
	 unsigned char InterruptLine;
	 unsigned char InterruptPin;
	 unsigned char MinimumGrant;
	 unsigned char MaximumLatency;
    };
*/
#define MyKey   "Software\\PCIFIND\\NTioPCI\\Parameters"

#endif
